Subject: Re: Fwd: linux-next: manual merge of the luto-misc tree with the tip tree

From: Ingo Molnar <[email-masked]>
Date: Wed, 21 Jan 2015 06:55:32 +0100

* Andy Lutomirski <[email-masked]> wrote:

> On Tue, Jan 20, 2015 at 9:34 PM, Ingo Molnar <[email-masked]> wrote:
> >
> > * Andy Lutomirski <[email-masked]> wrote:
> >
> >> Hi Ingo and Thomas-
> >>
> >> There's a trivial conflict in the pull request I sent last week.
> >
> > This is your x86 entry code rework pull request, right? The -tip
> > tree now has the RCU commit it depends on, so could you please
> > rebase it on top of tip:core/rcu so I can pull it? I'll resolve
> > any remaining conflicts with the rest of -tip.
> >
> 
> Sure, I can do that in the morning.  The pull request merges cleanly
> with tip:core/rcu, though, so is the rebase needed?

Yes, because your changes rely on the RCU change (semantically), 
so if anyone bisects into your commits it might result in a 
subtly broken kernel, right?

Thanks,

	Ingo